VACFS(4)

NAME
vacfs - a Venti-based file system

SYNOPSIS
vacfs [ -dip ] [ -h host ] [ -m mtpt ] [ -s srvname ] [ -M mem ] vacfile

DESCRIPTION
Vacfs interprets the file system created by vac(1) so that it can be mounted into a Plan 9 file hierarchy. The data for the file system is stored on a Venti server with a root fingerprint specified in vacfile. Vacfs is currently rather limited: access is read-only, clients are not authenticated, and groups are assumed to contain a single member with the same name. These restrictions should eventually be removed.

Options to vacfs are:

-d  Print debugging information to standard error.

-h host
    The network address of the Venti server. The default is taken from the environment variable venti. If this variable does not exist, then the default is the metaname $venti.

-i  Use file descriptors 0 and 1 as the 9P communication channel rather than create a pipe.

-m mtpt
    The location to mount the file system. The default is not to mount.

-p  Disables permission checking.

-s  The name of the 9P service to post. The default is vacfs.name, where name is vacfile without any directory name or extension.

-M mem
    The amount of memory, in bytes, allocated to the block cache. The default is 16M.

SOURCE
/usr/local/plan9/src/cmd/vac

SEE ALSO
vac(1), Plan 9's venti(8)